Skip to main content
GET
https://api.dintero.com/v1
/
accounts
/
{aid}
/
discounts
/
rules
/
{did}
/
customers
Get discount customers (refs)
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/discounts/rules/{did}/customers \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
    "deleted_at": "2023-11-07T05:31:56Z",
    "customer_id": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
did
string<uuid>
required

An UUID that uniquely identifies the discount

Query Parameters

limit
integer
default:10

A limit on the number of refs to be returned. Limit can range between 1 and 1000, the default is 10 items.

Required range: 1 <= x <= 1000
starting_after
string

cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, end the result contains paging_token=pt1, your subsequent call can include starting_after=pt1 in order to fetch the next page of the list.

state
enum<string>
default:all

limit by state of customer ref, note, a customer ref will continue to be active after the discount has been deleted. Use state inactive to list all discount where active is set to false.

Available options:
all,
available,
deleted,
inactive

Response

Discount customers (refs)

id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
customer_id
string

customer id for the ref. The customer_id will be null if the ref originated from giving the discount to all customers (wilcard '*')